<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>es006</title>
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
</head>

<body>
    <div id="es006">
        <h1>es006</h1>
        <p>
            <input v-model="text" placeholder="add a memo" />
            <button @click="addMemo(text)">add</button>
        </p>

        <ol>
            <li v-for="(item, index) in memos" >
                <memo :text="item.text"></memo>
            </li>
        </ol>

        <p v-if="memos.length != 0">
            <button v-on:click="deleteAll">delete all</button>
        </p>
    </div>
    <script src="app.js"></script>
</body>

</html>
